Summary: A stand alone memory test for i386 architecture systems
Name: memtest86
Version: 3.0
Release: 4mdk
License: GPL
Source0: http://www.memtest86.com/%{name}-%{version}.tar.bz2
Source1: memtest86.pm
Patch0:  memtest86-%{version}-vars.patch.bz2
URL: http://www.memtest86.com
Group: System/Kernel and hardware
BuildRequires: dev86
BuildRequires: gcc2.96
Requires: initscripts
BuildRoot: %{_tmppath}/%{name}-%{version}-root
ExclusiveArch: %{ix86}

%description
Memtest86 is thorough, stand alone memory test for i386 architecture
systems.  BIOS based memory tests are only a quick check and often
missfailures that are detected by Memtest86.    

%prep
%setup -q
%patch -p1

%build
# don't add other CFLAGS, etc.!
make CC=gcc-%(gcc2-version)

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/boot
install -m 644 memtest.bin $RPM_BUILD_ROOT/boot/memtest-%{version}.bin
mkdir -p $RPM_BUILD_ROOT/usr/share/loader/
install -m755 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/loader/memtest86

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/share/loader/memtest86	%{version}

%preun
/usr/share/loader/memtest86	-r %{version}

%files
%defattr(-,root,root)
%doc README
%dir /usr/share/loader
/boot/memtest-%{version}.bin
/usr/share/loader/memtest86

%changelog
* Wed Aug 27 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.0-4mdk
- BuildRequires: gcc2.96.
- DIRM: /usr/share/loader.

* Wed Feb 19 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.0-3mdk
- Rebuilt.

* Mon Sep 09 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.0-2mdk
- Rebuilt with gcc 2.96 as with gcc 3.2 didn't work.

* Sat Jul 06 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.0-1mdk
- memtest86.

* Thu Mar 21 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.9-1mdk
- version 2.9.

* Thu Nov 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.8-2mdk
- Remove dependences on kgcc.
- Add our own memtest86 perl script that add grub and lilo entry.

* Mon Nov 12 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.8-1mdk
- version 2.8.

* Sat Jul 28 2001 Giuseppe Ghib <ghibo@mandrakesoft.coM> 2.7-1mdk
- version 2.7.

* Sat Jul 28 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.6-2mdk
- fixed date in changelog (when calendar checker in rpmlint? ;-)).

* Sat May 28 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.6-1mdk
- version 2.6.

* Mon Apr 09 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.5-2mdk
- removed crap messages in %post and use latest Chmouel fix
  for installkernel.

* Mon Apr 09 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.5-1mdk
- initial release.
